#pragma once

#include "draw.h"
#include "input.h"
#include "audio.h"
#include "file.h"

#define JAPI_VERSION "0.8"

namespace game
{
    extern bool windowHasFocus;
    
    void setUpdateTicks(const int ticks);
    
    void init();

    void setState(bool (*loop)());

    void setConfig(const char* key, const int value);

    const int getConfig(const char* key);

    const uint32_t getTicks();
}
